P4Eclipse

Add this URL to your Eclipse Installation to reach this solution's update site.

2023-03 (4.27)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.27

2022-12 (4.26)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.26

2022-09 (4.25)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.25

2022-06 (4.24)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.24

2022-03 (4.23)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.23

2021-12 (4.22)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.22

2021-09 (4.21)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.21

2021-06 (4.20)

https://www.perforce.com/downloads/http/p4-eclipse/install/4.20

Learn more...
Solution Description

New in P4Eclipse 2023.1 is support for Eclipse 4.20, 4.21, 4.22, 4.23, 4.24, 4.25, 4.26, and 4.27. The Helix Plug-in for Eclipse seamlessly integrates the strengths of the Perforce Helix Versioning Engine with Eclipse. Implemented as a pure Java solution, P4Eclipse provides a developer-oriented set of features from within the Eclipse Team framework and supports a wide range of Agile and traditional development workflows.

Additional Details

Eclipse Versions: 2023-03 (4.27), 2022-12 (4.26), 2022-09 (4.25), 2022-06 (4.24), 2022-03 (4.23), 2021-12 (4.22), 2021-09 (4.21), 2021-06 (4.20)

Platform Support: Windows, Mac, Linux/GTK

Organization Name: Perforce Software

Development Status: Production/Stable

Date Created: Wednesday, September 1, 2010 - 11:25

License: BSD

Date Updated: Friday, December 15, 2023 - 13:21

Submitted by: Doris Wong

Date Ranking Installs Clickthroughs
June 2024 269/670 46 11
May 2024 219/682 87 19
April 2024 264/687 62 9
March 2024 276/694 59 18
February 2024 268/687 54 13
January 2024 225/691 89 8
December 2023 218/671 93 12
November 2023 283/686 59 14
October 2023 198/673 138 30
September 2023 211/663 103 29
August 2023 178/673 134 15
July 2023 199/668 109 9
View Data for all Listings

Unsuccessful Installs

Unsuccessful Installs in the last 7 Days: 0

Download last 500 errors (CSV)

Marketplace Drag to Install Button

By adding the following code below to your website you will be able to add an install button for P4Eclipse.

HTML Code:

Markdown Syntax:

Output:

Drag to your running Eclipse* workspace. *Requires Eclipse Marketplace Client

Reviews Add new review

Seems like p4eclipse is using a deprecated class

java.lang.NoClassDefFoundError: org/eclipse/jface/databinding/swt/SWTObservables
    at com.perforce.team.ui.streams.SuggestBox.<init>(SuggestBox.java:124)
    at com.perforce.team.ui.connection.ClientWizardPage.createNewWorkspaceArea(ClientWizardPage.java:372)
    at com.perforce.team.ui.connection.ClientWizardPage.createControl(ClientWizardPage.java:442)
    at org.eclipse.jface.wizard.Wizard.createPageControls(Wizard.java:178)
    at com.perforce.team.ui.connection.AbstractConnectionWizard.createPageControls(AbstractConnectionWizard.java:128)
    at org.eclipse.jface.wizard.WizardDialog.createPageControls(WizardDialog.java:744)
    at org.eclipse.jface.wizard.WizardDialog.createContents(WizardDialog.java:636)
    at org.eclipse.jface.window.Window.create(Window.java:431)
    at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1094)
    at com.perforce.team.ui.actions.NewServerAction.runAction(NewServerAction.java:69)
    at com.perforce.team.ui.actions.NewServerAction.run(NewServerAction.java:32)
    at com.perforce.team.ui.views.DepotView$8.run(DepotView.java:712)

Cannot be installed on Spring Tool Suite 4.15 based on Eclipse 4.24 (2022-06)

I get the error:

Cannot complete the install because one or more required items could not be found.
  Software being installed: Perforce Java Time-lapse View Support (JDT Prerequisite) 2021.2.2264919 (com.perforce.team.java.galileo.feature.feature.group 2021.2.2264919)
  Missing requirement: Perforce Team Provider UI 2021.2.2264919 (com.perforce.team.ui 2021.2.2264919) requires 'osgi.bundle; javax.xml.bind 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Perforce SCM Support 2021.2.2264919 (com.perforce.team.feature.feature.group 2021.2.2264919)
    To: org.eclipse.equinox.p2.iu; com.perforce.team.ui [2021.2.2264919,2021.2.2264919]
  Cannot satisfy dependency:
    From: Perforce Java Time-lapse View Support (JDT Prerequisite) 2021.2.2264919 (com.perforce.team.java.galileo.feature.feature.group 2021.2.2264919)
    To: org.eclipse.equinox.p2.iu; com.perforce.team.feature.feature.group 0.0.0

In reply to by Marc Gemis

Had the same Issue.
In case someone else runs into this: This is because this plugins apparrently still uses javax.xml.bind dependency.
But that one got removed in favor of the newer jakarta.xml.bind in the current orbit.

A workaround is to add the Orbit Bundle of Eclipse 22-03 (https://download.eclipse.org/releases/2022-03/) to your repository list, that still provides this dependency. (Help/Install New Software/Add)
After that, setup from the marketplace should complete normal.

If any perforce officials read this, please update your dependencies

In reply to by Jannik Adam

Summary: Add the javax.xml.bind from Orbit bundle of Eclipse 2022_03

#1

A) Help --> Install New Software --> "Add" --> download URL ("work with" : https://download.eclipse.org/tools/orbit/downloads/drops/R2022030217223… )

B) Expand and select "java.xml.bind"

C) Install and Restart

#2

Try reinstalling P4eclipse from the marketplace

Should work now - except that the "P4 Charting" may not be installed due to some dependency issues lurking around still...

Is this the official Perforce plugin like from the official Perforce Helix Plugin download page?

Apparently, Oracle removed javax/xml/bind/DatatypeConverter from SE JDK in version 11.

I am using AdoptOpenJDK 11 and this issue results in error when opening P4 Pending Changelist view. The error message is as follows:

An internal error occurred during: "Loading pending changelists for <server>:<port>, <workspace>, <username>".
javax/xml/bind/DatatypeConverter

Not sure why Eclipse 4.13 is listed here.  The plugin doesn't exist on the Marketplace, and if you go to:
perforce com downloads/helix-plugin-eclipse-p4eclipse
It shows that it's not available for the current Eclipse version.

As show in comments ther was a pproblem with Python DLTK dependency.

I could not solve it with marketplacen even having found DLTK repository , trying to add plugin...

 

finally what worked was to add the P2Eclipse repository URL, and than I could control which module to add, avoiding the one with prerequisites

In reply to by Alex Li

Same here. I installed this at work a few weeks back without issue (I forget which version of Eclipse).  Trying to install this at home on a fresh Eclipse install, when I drag over to the program it opens up the market page and spins for a second, but does nothing beyond that. P4 doesn't show up.

Two way to install everything:

1) If you do not have Python DLTk installed, you will be able to install everything except Python time-lapse view support since that feature depends on the Python DLTK. You can install Python DLTK afterwards and then install Python time-lapse view only.

2) Or you can install the Python DLTK first, and then install P4Eclipse using Eclipse Marketplace client.